ru.bitel.common.model

## Class PeriodWithTime

- java.lang.Object
- - ru.bitel.common.model.PeriodWithTime

-     public class PeriodWithTime
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodWithTime()`
    `PeriodWithTime(java.util.Date fromDate, java.util.Date toDate)`
    `PeriodWithTime(java.time.LocalDateTime fromDateTime, java.time.LocalDateTime toDateTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.time.LocalDateTime` | `getLocalDateTimeFrom()`
    `java.time.LocalDateTime` | `getLocalDateTimeTo()`
    `void` | `setLocalDateTimeFrom(java.time.LocalDateTime from)`
    `void` | `setLocalDateTimeTo(java.time.LocalDateTime to)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodWithTime

          public PeriodWithTime()

    - #### PeriodWithTime

          public PeriodWithTime(java.util.Date fromDate,
                                java.util.Date toDate)

    - #### PeriodWithTime

          public PeriodWithTime(java.time.LocalDateTime fromDateTime,
                                java.time.LocalDateTime toDateTime)

  - ### Method Detail

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### getLocalDateTimeFrom

          public java.time.LocalDateTime getLocalDateTimeFrom()

    - #### setLocalDateTimeFrom

          public void setLocalDateTimeFrom(java.time.LocalDateTime from)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### getLocalDateTimeTo

          public java.time.LocalDateTime getLocalDateTimeTo()

    - #### setLocalDateTimeTo

          public void setLocalDateTimeTo(java.time.LocalDateTime to)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`